Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTPalettedTexture

    java.lang.Object
      org.lwjgl.opengl.EXTPalettedTexture

    public final class EXTPalettedTexture

extends java.lang.Object

Field Summary
`static int` | `GL_COLOR_INDEX1_EXT` Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:
`static int` | `GL_COLOR_INDEX12_EXT`
`static int` | `GL_COLOR_INDEX16_EXT`
`static int` | `GL_COLOR_INDEX2_EXT`
`static int` | `GL_COLOR_INDEX4_EXT`
`static int` | `GL_COLOR_INDEX8_EXT`
`static int` | `GL_COLOR_TABLE_ALPHA_SIZE_EXT`
`static int` | `GL_COLOR_TABLE_BLUE_SIZE_EXT`
`static int` | `GL_COLOR_TABLE_FORMAT_EXT` Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:
`static int` | `GL_COLOR_TABLE_GREEN_SIZE_EXT`
`static int` | `GL_COLOR_TABLE_INTENSITY_SIZE_EXT`
`static int` | `GL_COLOR_TABLE_LUMINANCE_SIZE_EXT`
`static int` | `GL_COLOR_TABLE_RED_SIZE_EXT`
`static int` | `GL_COLOR_TABLE_WIDTH_EXT`
`static int` | `GL_TEXTURE_INDEX_SIZE_EXT` Accepted by the value parameter of GetTexLevelParameter{if}v:

Method Summary
`static void` | `glColorSubTableEXT(int target, int start, int count, int format, int type, java.nio.ByteBuffer data)`
`static void` | `glColorSubTableEXT(int target, int start, int count, int format, int type, java.nio.DoubleBuffer data)`
`static void` | `glColorSubTableEXT(int target, int start, int count, int format, int type, java.nio.FloatBuffer data)`
`static void` | `glColorSubTableEXT(int target, int start, int count, int format, int type, java.nio.IntBuffer data)`
`static void` | `glColorSubTableEXT(int target, int start, int count, int format, int type, java.nio.ShortBuffer data)`
`static void` | `glColorTableEXT(int target, int internalFormat, int width, int format, int type, java.nio.ByteBuffer data)`
`static void` | `glColorTableEXT(int target, int internalFormat, int width, int format, int type, java.nio.DoubleBuffer data)`
`static void` | `glColorTableEXT(int target, int internalFormat, int width, int format, int type, java.nio.FloatBuffer data)`
`static void` | `glColorTableEXT(int target, int internalFormat, int width, int format, int type, java.nio.IntBuffer data)`
`static void` | `glColorTableEXT(int target, int internalFormat, int width, int format, int type, java.nio.ShortBuffer data)`
`static void` | `glGetColorTableEXT(int target, int format, int type, java.nio.ByteBuffer data)`
`static void` | `glGetColorTableEXT(int target, int format, int type, java.nio.DoubleBuffer data)`
`static void` | `glGetColorTableEXT(int target, int format, int type, java.nio.FloatBuffer data)`
`static void` | `glGetColorTableEXT(int target, int format, int type, java.nio.IntBuffer data)`
`static void` | `glGetColorTableEXT(int target, int format, int type, java.nio.ShortBuffer data)`
`static void` | `glGetColorTableParameterEXT(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetColorTableParameterEXT(int target, int pname, java.nio.IntBuffer params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_COLOR_INDEX1_EXT

    public static final int GL_COLOR_INDEX1_EXT

  Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:

  See Also:
    Constant Field Values

### GL_COLOR_INDEX2_EXT

    public static final int GL_COLOR_INDEX2_EXT

See Also:
  Constant Field Values

### GL_COLOR_INDEX4_EXT

    public static final int GL_COLOR_INDEX4_EXT

See Also:
  Constant Field Values

### GL_COLOR_INDEX8_EXT

    public static final int GL_COLOR_INDEX8_EXT

See Also:
  Constant Field Values

### GL_COLOR_INDEX12_EXT

    public static final int GL_COLOR_INDEX12_EXT

See Also:
  Constant Field Values

### GL_COLOR_INDEX16_EXT

    public static final int GL_COLOR_INDEX16_EXT

See Also:
  Constant Field Values

### GL_COLOR_TABLE_FORMAT_EXT

    public static final int GL_COLOR_TABLE_FORMAT_EXT

  Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:

  See Also:
    Constant Field Values

### GL_COLOR_TABLE_WIDTH_EXT

    public static final int GL_COLOR_TABLE_WIDTH_EXT

See Also:
  Constant Field Values

### GL_COLOR_TABLE_RED_SIZE_EXT

    public static final int GL_COLOR_TABLE_RED_SIZE_EXT

See Also:
  Constant Field Values

### GL_COLOR_TABLE_GREEN_SIZE_EXT

    public static final int GL_COLOR_TABLE_GREEN_SIZE_EXT

See Also:
  Constant Field Values

### GL_COLOR_TABLE_BLUE_SIZE_EXT

    public static final int GL_COLOR_TABLE_BLUE_SIZE_EXT

See Also:
  Constant Field Values

### GL_COLOR_TABLE_ALPHA_SIZE_EXT

    public static final int GL_COLOR_TABLE_ALPHA_SIZE_EXT

See Also:
  Constant Field Values

### GL_COLOR_TABLE_LUMINANCE_SIZE_EXT

    public static final int GL_COLOR_TABLE_LUMINANCE_SIZE_EXT

See Also:
  Constant Field Values

### GL_COLOR_TABLE_INTENSITY_SIZE_EXT

    public static final int GL_COLOR_TABLE_INTENSITY_SIZE_EXT

See Also:
  Constant Field Values

### GL_TEXTURE_INDEX_SIZE_EXT

    public static final int GL_TEXTURE_INDEX_SIZE_EXT

  Accepted by the value parameter of GetTexLevelParameter{if}v:

  See Also:
    Constant Field Values

Method Detail

### glColorTableEXT

    public static void glColorTableEXT(int target,
                                       int internalFormat,
                                       int width,
                                       int format,
                                       int type,
                                       java.nio.ByteBuffer data)

### glColorTableEXT

    public static void glColorTableEXT(int target,
                                       int internalFormat,
                                       int width,
                                       int format,
                                       int type,
                                       java.nio.DoubleBuffer data)

### glColorTableEXT

    public static void glColorTableEXT(int target,
                                       int internalFormat,
                                       int width,
                                       int format,
                                       int type,
                                       java.nio.FloatBuffer data)

### glColorTableEXT

    public static void glColorTableEXT(int target,
                                       int internalFormat,
                                       int width,
                                       int format,
                                       int type,
                                       java.nio.IntBuffer data)

### glColorTableEXT

    public static void glColorTableEXT(int target,
                                       int internalFormat,
                                       int width,
                                       int format,
                                       int type,
                                       java.nio.ShortBuffer data)

### glColorSubTableEXT

    public static void glColorSubTableEXT(int target,
                                          int start,
                                          int count,
                                          int format,
                                          int type,
                                          java.nio.ByteBuffer data)

### glColorSubTableEXT

    public static void glColorSubTableEXT(int target,
                                          int start,
                                          int count,
                                          int format,
                                          int type,
                                          java.nio.DoubleBuffer data)

### glColorSubTableEXT

    public static void glColorSubTableEXT(int target,
                                          int start,
                                          int count,
                                          int format,
                                          int type,
                                          java.nio.FloatBuffer data)

### glColorSubTableEXT

    public static void glColorSubTableEXT(int target,
                                          int start,
                                          int count,
                                          int format,
                                          int type,
                                          java.nio.IntBuffer data)

### glColorSubTableEXT

    public static void glColorSubTableEXT(int target,
                                          int start,
                                          int count,
                                          int format,
                                          int type,
                                          java.nio.ShortBuffer data)

### glGetColorTableEXT

    public static void glGetColorTableEXT(int target,
                                          int format,
                                          int type,
                                          java.nio.ByteBuffer data)

### glGetColorTableEXT

    public static void glGetColorTableEXT(int target,
                                          int format,
                                          int type,
                                          java.nio.DoubleBuffer data)

### glGetColorTableEXT

    public static void glGetColorTableEXT(int target,
                                          int format,
                                          int type,
                                          java.nio.FloatBuffer data)

### glGetColorTableEXT

    public static void glGetColorTableEXT(int target,
                                          int format,
                                          int type,
                                          java.nio.IntBuffer data)

### glGetColorTableEXT

    public static void glGetColorTableEXT(int target,
                                          int format,
                                          int type,
                                          java.nio.ShortBuffer data)

### glGetColorTableParameterEXT

    public static void glGetColorTableParameterEXT(int target,
                                                   int pname,
                                                   java.nio.IntBuffer params)

### glGetColorTableParameterEXT

    public static void glGetColorTableParameterEXT(int target,
                                                   int pname,
                                                   java.nio.FloatBuffer params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.